Loading...
Searching...
No Matches
uhd::transport::managed_recv_buffer Class Reference

`#include <uhd/transport/zero_copy.hpp>`

Inheritance diagram for uhd::transport::managed_recv_buffer:
[legend]
Collaboration diagram for uhd::transport::managed_recv_buffer:
[legend]

## Public Types

typedef boost::intrusive_ptr< managed_recv_buffer > | sptr
Public Types inherited from uhd::transport::managed_buffer
typedef boost::intrusive_ptr< managed_buffer > | sptr

## Additional Inherited Members

Public Member Functions inherited from uhd::transport::managed_buffer
| managed_buffer (void)
virtual | ~managed_buffer (void)
virtual void | release (void)=0
UHD_INLINE void | commit (size_t num_bytes)
template<class T>
UHD_INLINE T | cast (void) const
UHD_INLINE size_t | size (void) const
template<typename T>
UHD_INLINE boost::intrusive_ptr< T > | make (T *p, void *buffer, size_t length)
| Create smart pointer to a reusable managed buffer.
int | ref_count ()
Public Attributes inherited from uhd::transport::managed_buffer
boost::detail::atomic_count | _ref_count
Protected Attributes inherited from uhd::transport::managed_buffer
void * | _buffer
size_t | _length

## Detailed Description

A managed receive buffer: Contains a reference to transport-managed memory, and a method to release the memory after reading.

## Member Typedef Documentation

## sptr

typedef boost::intrusive_ptr<managed_recv_buffer> uhd::transport::managed_recv_buffer::sptr

The documentation for this class was generated from the following file:

- zero_copy.hpp